# OpenLayers.Symbolizer.Line

A symbolizer used to render line features.

Summary

OpenLayers.Symbolizer.Line | A symbolizer used to render line features.
Properties |
strokeColor | {String} Color for line stroke.
strokeOpacity | {Number} Stroke opacity (0-1).
strokeWidth | {Number} Pixel stroke width.
strokeLinecap | {String} Stroke cap type (“butt”, “round”, or “square”).
Constructor |
OpenLayers.Symbolizer.Line | Create a symbolizer for rendering lines.

### Properties

### strokeColor

{String} Color for line stroke. This is a RGB hex value (e.g. “#ff0000” for red).

No default set here. Use OpenLayers.Renderer.defaultRenderer for defaults.

### strokeOpacity

{Number} Stroke opacity (0-1).

No default set here. Use OpenLayers.Renderer.defaultRenderer for defaults.

### strokeWidth

{Number} Pixel stroke width.

No default set here. Use OpenLayers.Renderer.defaultRenderer for defaults.

### strokeLinecap

{String} Stroke cap type (“butt”, “round”, or “square”).

No default set here. Use OpenLayers.Renderer.defaultRenderer for defaults.

### Constructor

### OpenLayers.Symbolizer.Line

Create a symbolizer for rendering lines.

#### Parameters

config | {Object} An object containing properties to be set on the symbolizer. Any documented symbolizer property can be set at construction.

#### Returns

A new line symbolizer.

Close